<div
  #field
  [class.edit]="editMode"
  [class.disabled]="disabled"
  class="full-height full-width field-container p-5 __hover_pointer flex-row container-background-color"
  (click)="edit()"
>
  <span
    class="txt-ellipsis text-field"
    [attr.data-test-element-id]="'grouped-multi-list-display-value'"
    [class.sqtm-placeholder]="isPlaceHolderVisible"
    nz-tooltip
    [sqtmCoreLabelTooltip]="displayValue"
  >
    {{ displayValue }}
  </span>
  <span
    class="clear-button"
    [attr.data-test-element-id]="'clear-button'"
    [class.visible]="isClearButtonVisible"
    (click)="clearButtonClicked($event)"
  >
    <i nz-icon [nzType]="'close-circle'" nzTheme="fill"></i>
  </span>
</div>

<ng-template #template>
  <sqtm-core-grouped-multi-list
    (itemSelectionChanged)="handleItemSelectionChange($event)"
    (allItemSelectionChanged)="handleAllItemsSelectionChanged($event)"
    [toggleAllItemValue]="toggleAllItemValue$ | async"
    [height]="height"
    [width]="multiListWidth"
    [listGroups]="listGroups"
    [listItems]="listItems"
    [searchable]="searchable"
    [displayToggleAllItemsCheckbox]="displayToggleAllItemsCheckbox"
    [virtualScroll]="virtualScroll"
    [separateSelectedItems]="separateSelectedItems"
    [numberOfSelectedItemsToDisplay]="numberOfSelectedItemsToDisplay"
    [numberOfUngroupedItemsToDisplay]="numberOfUngroupedItemsToDisplay"
  >
    <ng-content></ng-content>
  </sqtm-core-grouped-multi-list>
</ng-template>
